SC_ASN1_READ_TAG(3)

NAME
sc_asn1_read_tag - Extract a tag from an ASN.1 entry

SYNOPSIS

#include <opensc.h>
int sc_asn1_read_tag(const unsigned char **buf, size_t buflen,
                     unsigned int *cla_out, unsigned int *tag_out, size_t *taglen);

DESCRIPTION

This function extracts a tag from an ASN.1 entry at the buffer pointed to by the pointer in buf. The buffer is buflen bytes long. The tag class will be stored in cla_out, the tag itself intag_out, and the length of the extracted tag intag_len.

RETURN VALUE

Returns 1 if successful, or -1 in case of error.